<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.sasl</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Package&nbsp;sasl
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== PACKAGE DESCRIPTION ==================== -->
<h1 class="epydoc">Package sasl</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.sasl-pysrc.html">source&nbsp;code</a></span></p>
<p>SASL authentication implementaion for PyXMPP.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc2222.txt" target="_top">RFC 2222</a></li>
</ul>
</dd>
</dl>

<!-- ==================== SUBMODULES ==================== -->
<a name="section-Submodules"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Submodules</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Submodules"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr><td class="summary">
  <ul class="nomargin">
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core-module.html">pyxmpp.sasl.core</a></strong>: <em class="summary">Base classes for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.digest_md5-module.html">pyxmpp.sasl.digest_md5</a></strong>: <em class="summary">DIGEST-MD5 authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.external-module.html">pyxmpp.sasl.external</a></strong>: <em class="summary">External SASL authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.gssapi-module.html">pyxmpp.sasl.gssapi</a></strong>: <em class="summary">GSSAPI authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.plain-module.html">pyxmpp.sasl.plain</a></strong>: <em class="summary">PLAIN authentication mechanism for PyXMPP SASL implementation.</em>    </li>
  </ul></td></tr>
</table>

<br />
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.sasl.core.ClientAuthenticator-class.html" class="link">sasl.core.ClientAuthenticator</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.sasl-module.html#client_authenticator_factory" class="summary-sig-name">client_authenticator_factory</a>(<span class="summary-sig-arg">mechanism</span>,
        <span class="summary-sig-arg">password_manager</span>)</span><br />
      Create a client authenticator object for given SASL mechanism and
password manager.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.sasl-pysrc.html#client_authenticator_factory">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.sasl.core.ServerAuthenticator-class.html" class="link">sasl.core.ServerAuthenticator</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.sasl-module.html#server_authenticator_factory" class="summary-sig-name">server_authenticator_factory</a>(<span class="summary-sig-arg">mechanism</span>,
        <span class="summary-sig-arg">password_manager</span>)</span><br />
      Create a server authenticator object for given SASL mechanism and
password manager.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.sasl-pysrc.html#server_authenticator_factory">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.sasl-module.html#safe_mechanisms_dict" class="summary-name">safe_mechanisms_dict</a> = <code title="{&quot;DIGEST-MD5&quot;:(DigestMD5ClientAuthenticator, DigestMD5ServerAuthentica\
tor), &quot;EXTERNAL&quot;:(ExternalClientAuthenticator, None)}">{&quot;DIGEST-MD5&quot;:(DigestMD5ClientAuthentic<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.sasl-module.html#unsafe_mechanisms_dict" class="summary-name">unsafe_mechanisms_dict</a> = <code title="{&quot;PLAIN&quot;:(PlainClientAuthenticator, PlainServerAuthenticator)}">{&quot;PLAIN&quot;:(PlainClientAuthenticator, P<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="all_mechanisms_dict"></a><span class="summary-name">all_mechanisms_dict</span> = <code title="safe_mechanisms_dict.copy()">safe_mechanisms_dict.copy()</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="safe_mechanisms"></a><span class="summary-name">safe_mechanisms</span> = <code title="['DIGEST-MD5', 'EXTERNAL']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">EXTERNAL</code><code class="variable-quote">'</code><code class="variable-group">]</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="unsafe_mechanisms"></a><span class="summary-name">unsafe_mechanisms</span> = <code title="['PLAIN']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">PLAIN</code><code class="variable-quote">'</code><code class="variable-group">]</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="all_mechanisms"></a><span class="summary-name">all_mechanisms</span> = <code title="['DIGEST-MD5', 'EXTERNAL', 'PLAIN']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">EXTERNAL</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">PLAIN</code><code class="variable-quote">'</code><code class="variable-group">]</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp.sasl'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp.sasl</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="random">random</span>,
  <a href="pyxmpp.sasl.core.Reply-class.html" title="pyxmpp.sasl.core.Reply">Reply</a>,
  <a href="pyxmpp.sasl.core.Response-class.html" title="pyxmpp.sasl.core.Response">Response</a>,
  <a href="pyxmpp.sasl.core.Challenge-class.html" title="pyxmpp.sasl.core.Challenge">Challenge</a>,
  <a href="pyxmpp.sasl.core.Success-class.html" title="pyxmpp.sasl.core.Success">Success</a>,
  <a href="pyxmpp.sasl.core.Failure-class.html" title="pyxmpp.sasl.core.Failure">Failure</a>,
  <a href="pyxmpp.sasl.core.PasswordManager-class.html" title="pyxmpp.sasl.core.PasswordManager">PasswordManager</a>,
  <a href="pyxmpp.sasl.plain.PlainClientAuthenticator-class.html" title="pyxmpp.sasl.plain.PlainClientAuthenticator">PlainClientAuthenticator</a>,
  <a href="pyxmpp.sasl.plain.PlainServerAuthenticator-class.html" title="pyxmpp.sasl.plain.PlainServerAuthenticator">PlainServerAuthenticator</a>,
  <a href="pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator-class.html" title="pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator">DigestMD5ClientAuthenticator</a>,
  <a href="pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator-class.html" title="pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator">DigestMD5ServerAuthenticator</a>,
  <a href="pyxmpp.sasl.external.ExternalClientAuthenticator-class.html" title="pyxmpp.sasl.external.ExternalClientAuthenticator">ExternalClientAuthenticator</a>,
  <a href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html" title="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator">GSSAPIClientAuthenticator</a>,
  <a href="pyxmpp.sasl.core-module.html" title="pyxmpp.sasl.core">core</a>,
  <a href="pyxmpp.sasl.digest_md5-module.html" title="pyxmpp.sasl.digest_md5">digest_md5</a>,
  <a href="pyxmpp.sasl.external-module.html" title="pyxmpp.sasl.external">external</a>,
  <a href="pyxmpp.sasl.plain-module.html" title="pyxmpp.sasl.plain">plain</a>
</p><br />
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="client_authenticator_factory"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">client_authenticator_factory</span>(<span class="sig-arg">mechanism</span>,
        <span class="sig-arg">password_manager</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.sasl-pysrc.html#client_authenticator_factory">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create a client authenticator object for given SASL mechanism and
password manager.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>mechanism</code></strong> (: <code class="link">str</code>) - : name of the SASL mechanism (&quot;PLAIN&quot;, &quot;DIGEST-MD5&quot; or &quot;GSSAPI&quot;).</li>
        <li><strong class="pname"><code>password_manager</code></strong> (: <a href="pyxmpp.sasl.core.PasswordManager-class.html" class="link">PasswordManager</a>) - : name of the password manager object providing
authentication credentials.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.sasl.core.ClientAuthenticator-class.html" class="link">sasl.core.ClientAuthenticator</a></dt>
        <dd>new authenticator.</dd>
  </dl>
</td></tr></table>
</div>
<a name="server_authenticator_factory"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">server_authenticator_factory</span>(<span class="sig-arg">mechanism</span>,
        <span class="sig-arg">password_manager</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.sasl-pysrc.html#server_authenticator_factory">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create a server authenticator object for given SASL mechanism and
password manager.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>mechanism</code></strong> (: <code class="link">str</code>) - : name of the SASL mechanism (&quot;PLAIN&quot;, &quot;DIGEST-MD5&quot; or &quot;GSSAPI&quot;).</li>
        <li><strong class="pname"><code>password_manager</code></strong> (: <a href="pyxmpp.sasl.core.PasswordManager-class.html" class="link">PasswordManager</a>) - : name of the password manager object to be used
for authentication credentials verification.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.sasl.core.ServerAuthenticator-class.html" class="link">sasl.core.ServerAuthenticator</a></dt>
        <dd>new authenticator.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== VARIABLES DETAILS ==================== -->
<a name="section-VariablesDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-VariablesDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="safe_mechanisms_dict"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">safe_mechanisms_dict</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
{&quot;DIGEST-MD5&quot;:(DigestMD5ClientAuthenticator, DigestMD5ServerAuthentica<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
tor), &quot;EXTERNAL&quot;:(ExternalClientAuthenticator, None)}
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="unsafe_mechanisms_dict"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">unsafe_mechanisms_dict</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
{&quot;PLAIN&quot;:(PlainClientAuthenticator, PlainServerAuthenticator)}
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:58 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
